<?php
/*
 * @(#) $Header: /var/cvsroot/pop3ml/Attic/clean_pop3ml.php,v 1.1.2.5 2009/09/07 05:50:11 cvs Exp $
 */
/*  pop3ml - php Mailing list/Newsletter manager
    Copyright (C) 2009- Giuseppe Lucarelli <giu.lucarelli@gmail.it>

    This program is free software; you can redistribute it and/or modify
    it under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

    require("config.php");
    if(isset($global_options['passwdfile'])) {
        require(INCLUDE_DIR_PATH.DS."functions.php");
    }
    require_once(CLASSES_DIR_PATH.DS.'class.pop3ml.php');

    function Connect() {
        global $MyPop3ml, $global_options;

        if(!$MyPop3ml->dbconn=@mysql_connect($global_options['databaseHost'], $global_options['databaseUsername'], $global_options['databasePassword'])) {
            return false;
        }
        if(!@mysql_select_db($global_options['databaseName'],$MyPop3ml->dbconn)) {
            return false;
        }
        return true;
    }

    function Init(& cls, & $opt) {
        if($opt['cachepath']) $MyPop3ml->cachepath = $opt['cachepath'];
        if($opt['expirecache']) $MyPop3ml->expirecache = $opt['expirecache'];
        if($opt['expiremsgmod']) $MyPop3ml->expiremsgmod = $opt['expiremsgmod'];
        if($opt['expiremsgqueue']) $MyPop3ml->expiremsgqueue = $opt['expiremsgqueue'];
        if($opt['expiresubqueue']) $MyPop3ml->expiresubqueue = $opt['expiresubqueue'];
        if(CACHE_MESSAGES == false && !strcasecmp($this->dbrow->cachemessages,'yes'))
            $MyPop3ml->cachemessages = false;
        if(CACHE_PATH != false) {
            $MyPop3ml->cachepath = CACHE_PATH;
        }
        if($MyPop3ml->cachepath && strlen($MyPop3ml->cachepath) > 1
        && $MyPop3ml->cachepath[strlen($MyPop3ml->cachepath)-1] != '/') {
            $MyPop3ml->cachepath .= '/';
        }
        if(EXPIRE_CACHE != false) {
            $MyPop3ml->expirecache = EXPIRE_CACHE;
        }
    }

    function CheckExpiredSubRequest(& $cls) {
        $query = 'delete from '.$cls->subqueue.' where time_to_sec(timediff(now(),mldate)) > '.($cls->expiresubqueue ? $cls->expiresubqueue : EXPIRE_SUB_QUEUE);
        @mysql_query($query,$cls->dbconn);
    }

    /**
     * this function remove all expired messages tagged as queued or waiting for moderator response
     */
    function RemoveExpiredMessages(& $cls) {

        $query = "select * from $cls->messagesTable where state = 'queued' or state = 'pending'";
        if(!$result = @mysql_query($query,$cls->dbconn)) {
            return;
        }
        while($row = @mysql_fetch_object($result)) {
            if(!strcmp($row->state,'pending') && (strtotime('now') - strtotime($row->mldate)) > ($cls->expiremsgmod ? $cls->expiremsgmod : EXPIRE_MSG_MOD)
            || !strcmp($row->state,'queued') && (strtotime('now') - strtotime($row->mldate)) > ($cls->expiremsgqueue ? $cls->expiremsgqueue : EXPIRE_MSG_QUEUE)) {
                @mysql_query('delete from '.$cls->messagesTable.' where id = '.$row->id,$cls->dbconn);
                echo 'removed msg# '.$row->id."; ";
            }
        }
        @mysql_free_result($result);
    }

    function RemoveCachedMessages(& $cls) {
        if(!$cls->cachemessages || !file_exists($cls->cachepath)) {
            return;
        }
        $d = dir($cls->cachepath);
        while($msg=$d->read()) {
            if($msg[0] != '.' && !is_dir($cls->cachepath.$msg)) {
                if(!$stat = stat($cls->cachepath.$msg)) {
                    continue;
                }
                if((strtotime('now') - $stat['atime']) > $cls->expirecache) {
                    if(unlink($cls->cachepath.$msg)) {
                        echo "removed from cache msg[$msg];\n";
                    }
                }
            }
        }
    }



    $MyPop3ml = new pop3ml;
    $MyPop3ml->dbconn = &$global_options['dbconn'];
    $MyPop3ml->mltable = $global_options['mltable'];
    $MyPop3ml->messagesTable = $global_options['messagesTable'];
    $MyPop3ml->subqueue = $global_options['subqueue'];
    $MyPop3ml->subscribers = $global_options['subscribers'];
    $MyPop3ml->queue = $global_options['queue'];
    if(Connect() == false) {
        die('Connection to DB failed, quit; ');
    }

    foreach($mlinfo as $listname=>$opt) {
        Init($MyPop3ml,$opt);
        RemoveExpiredMessages($MyPop3ml);
        CheckExpiredSubRequest($MyPop3ml);
        RemoveCachedMessages($MyPop3ml);
    }
?>
